package rentComputer

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type RentComputerShopRouter struct {
}

func (e *RentComputerShopRouter) InitRentComputerShopRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("rentComputerShop")
	rentComputerShopApi := v1.ApiGroupApp.RentComputerApiGroup.ApiRentComputerShop
	{
		excelRouter.POST("getRentComputerShopList", rentComputerShopApi.GetRentComputerShopList) //查询记录
		excelRouter.POST("getRentComputerShopNum", rentComputerShopApi.GetRentComputerShopNum)
		excelRouter.POST("getRentComputerShopById", rentComputerShopApi.GetRentComputerShopById)           // 查询单条记录
		excelRouter.POST("addRentComputerShop", rentComputerShopApi.AddRentComputerShop)                   //添加记录
		excelRouter.PUT("editRentComputerShop", rentComputerShopApi.EditRentComputerShop)                  //修改记录
		excelRouter.DELETE("deleteRentComputerShopByIds", rentComputerShopApi.DeleteRentComputerShopByIds) // 删除多条记录
		excelRouter.DELETE("deleteRentComputerShopById", rentComputerShopApi.DeleteRentComputerShopById)   // 删除单个记录
	}
}
